=== debian/changelog ===
zfsutils (10.3~svn296373-1) experimental; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.3-RELEASE
  * Remove obsolete patch:
    - gratuitous_dependencies.diff
  * Refresh patches:
    - disable_libjail.diff
    - 14_bootloader_advice.diff
    - ulong_t.diff
    - solaris_rlim64_t.diff
    - 15_pthread_compat.diff
    - fix_realpath_abuse.diff
    - makefile.diff
    - bug762199.patch
    - bug653929.diff
  * New patches:
    - 13_freebsd.diff: use __FreeBSD_kernel__ macro as needed
    - libmd.diff: use system sha2.h from libmd
    - noinline.diff: convert to using __attribute__ keyword
  * Avoid gratuitously linking against bsdxml/expat:
    - makefile.diff
  * Update svn_revision regex to allow +suffix
  * svn export with --ignore-keywords
  * Abort on any error during svn export
  * Now using debhelper compat v9
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Add Build-Depends: dpkg-dev (>= 1.16.1.1) and use buildflags.mk
    to set CFLAGS, respecting DEB_BUILD_OPTIONS flags such as noopt
  * Enable hardening=+all, which includes PIE, relro and stack protector
  * Use architecture.mk instead of individual calls to dpkg-architecture
  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).
  * Make get-orig-source tarball reproducible
  * Use the proper host architecture compiler
  * Build with -Wno-error=format-security, pending fixes
  * Rename ztest executable to zfstest, to avoid conflict with zutils
    (Closes: #825268)

  [ Guillem Jover ]
  * Switch to use system libmd (Closes: #816764)

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 30 May 2016 14:11:59 +0100
