=== debian/control ===
Source: zfsutils
Section: admin
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Aurelien Jarno <aurel32@debian.org>,
 Robert Millan <rmh@debian.org>,
 Arno Töll <arno@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>,
Build-Depends: debhelper (>= 9),
 dpkg-dev (>= 1.16.1.1),
 freebsd-buildutils (>= 9.0-5~),
 libbsd-dev (>= 0.3.0),
 libmd-dev,
 libc0.1-dev (>= 2.10),
 kfreebsd-kernel-headers (>= 10.1~4~),
 libgeom-dev,
 zlib1g-dev,
 freebsd-glue (>= 0.1.8~),
 systemtap-sdt-dev
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/zfsutils/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/zfsutils/
Standards-Version: 3.9.8

Package: libuutil2
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos userland utility library
 This package contains the illumos userland utility library.

Package: libuutil2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos userland utility library (debian-installer version)
 This package contains the illumos userland utility library.
 .
 This is a minimal package for use in debian-installer.

Package: libnvpair2
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos name-value pair library
 This package contains the illumos libnvpair library, for managing
 name-value pairs.

Package: libnvpair2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos name-value pair library (debian-installer version)
 This package contains the illumos libnvpair library, for managing
 name-value pairs.
 .
 This is a minimal package for use in debian-installer.

Package: libzfs2
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos ZFS library
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 The ZFS library provides support for managing ZFS filesystems.

Package: libzfs2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos ZFS library (debian-installer version)
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 The ZFS library provides support for managing ZFS filesystems.
 .
 This is a minimal package for use in debian-installer.

Package: zfsutils
Architecture: kfreebsd-any
# We really need to declare those dependencies manually. Upstream adds happily symbols
# without providing any version informations for symbols or bumping SONAMES Since those libraries are
# supposed to used within this source package only, we declare a hard dependency to come
# over problems like #645305.
# dpkg-shlibdeps can't help us here, because it only can create unversioned
# dependencies.
Depends: ${shlibs:Depends}, ${misc:Depends},
 libuutil2 (= ${binary:Version}), libnvpair2 (= ${binary:Version}),
 libzfs2 (= ${binary:Version}), libumem2 (= ${binary:Version}), libzpool2 (= ${binary:Version})
Recommends: cron
Breaks:
# Require GRUB with ZFS v5000 (feature flags) support and the
# lz4_compress feature, if a newly-created or manually upgraded
# pool is to be bootable
 grub-common (<< 2.02~beta2-11~),
# Pre-28 versions are ABI-incompatible
 kfreebsd-image-8.1-1-amd64,
 kfreebsd-image-8.1-1-486,
 kfreebsd-image-8.1-1-686,
 kfreebsd-image-8.1-1-686-smp,
 kfreebsd-image-8.1-1-xen,
 kfreebsd-image-8.2-1-amd64,
 kfreebsd-image-8.2-1-486,
 kfreebsd-image-8.2-1-686,
 kfreebsd-image-8.2-1-686-smp,
 kfreebsd-image-8.2-1-xen,
Description: command-line tools to manage ZFS filesystems
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 This package provides the zfs and zpool commands to create and administer
 ZFS filesystems.

Package: zfsutils-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libuutil2-udeb (= ${binary:Version}), libnvpair2-udeb (= ${binary:Version}),
 libzfs2-udeb (= ${binary:Version}), libumem2-udeb (= ${binary:Version}), libzpool2-udeb (= ${binary:Version}),
 zfs-modules,
Description: command-line tools to manage ZFS filesystems (debian-installer version)
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 This package provides the zfs and zpool commands to create and administer
 ZFS filesystems.
 .
 This is a minimal package for use in debian-installer.


Package: libumem2
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos memory-management library
 This package contains the illumos libumem library, to detect
 memory management bugs in applications

Package: libumem2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos memory-management library (debian-installer version)
 This package contains the illumos libumem library, to detect
 memory management bugs in applications
 .
 This is a minimal package for use in debian-installer.

Package: libzpool2
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos interface library to manage ZFS storage pools
 This package contains the illumos libzpool library.

Package: libzpool2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: illumos interface library to manage ZFS storage pools (debian-installer version)
 This package contains the illumos libzpool library.
 .
 This is a minimal package for use in debian-installer.
